/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.records;


import com.tabajara.base.tables.Sensorhorarepeticao;
import com.tabajara.base.tables.interfaces.ISensorhorarepeticao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class SensorhorarepeticaoRecord extends UpdatableRecordImpl<SensorhorarepeticaoRecord> implements VertxPojo, Record3<Integer, Integer, Integer>, ISensorhorarepeticao {

    private static final long serialVersionUID = 435854299;

    /**
     * Setter for <code>public.sensorhorarepeticao.senhorid</code>.
     */
    @Override
    public SensorhorarepeticaoRecord setSenhorid(Integer value) {
        set(0, value);
        return this;
    }

    /**
     * Getter for <code>public.sensorhorarepeticao.senhorid</code>.
     */
    @Override
    public Integer getSenhorid() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.sensorhorarepeticao.fksenid</code>.
     */
    @Override
    public SensorhorarepeticaoRecord setFksenid(Integer value) {
        set(1, value);
        return this;
    }

    /**
     * Getter for <code>public.sensorhorarepeticao.fksenid</code>.
     */
    @Override
    public Integer getFksenid() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>public.sensorhorarepeticao.fkhorid</code>.
     */
    @Override
    public SensorhorarepeticaoRecord setFkhorid(Integer value) {
        set(2, value);
        return this;
    }

    /**
     * Getter for <code>public.sensorhorarepeticao.fkhorid</code>.
     */
    @Override
    public Integer getFkhorid() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return Sensorhorarepeticao.SENSORHORAREPETICAO.SENHORID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return Sensorhorarepeticao.SENSORHORAREPETICAO.FKSENID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field3() {
        return Sensorhorarepeticao.SENSORHORAREPETICAO.FKHORID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getSenhorid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getFksenid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component3() {
        return getFkhorid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getSenhorid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getFksenid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value3() {
        return getFkhorid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorhorarepeticaoRecord value1(Integer value) {
        setSenhorid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorhorarepeticaoRecord value2(Integer value) {
        setFksenid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorhorarepeticaoRecord value3(Integer value) {
        setFkhorid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorhorarepeticaoRecord values(Integer value1, Integer value2, Integer value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ISensorhorarepeticao from) {
        setSenhorid(from.getSenhorid());
        setFksenid(from.getFksenid());
        setFkhorid(from.getFkhorid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ISensorhorarepeticao> E into(E into) {
        into.from(this);
        return into;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached SensorhorarepeticaoRecord
     */
    public SensorhorarepeticaoRecord() {
        super(Sensorhorarepeticao.SENSORHORAREPETICAO);
    }

    /**
     * Create a detached, initialised SensorhorarepeticaoRecord
     */
    public SensorhorarepeticaoRecord(Integer senhorid, Integer fksenid, Integer fkhorid) {
        super(Sensorhorarepeticao.SENSORHORAREPETICAO);

        set(0, senhorid);
        set(1, fksenid);
        set(2, fkhorid);
    }

    public SensorhorarepeticaoRecord(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
